/*
 * Copyright 2003 - 2009 The eFaps Team
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * Revision:        $Rev: 2144 $
 * Last Changed:    $Date: 2009-01-28 17:02:26 -0500 (Wed, 28 Jan 2009) $
 * Last Changed By: $Author: jmox $
 */

package org.efaps.ui.wicket.models;

import org.efaps.ui.wicket.models.objects.UIForm;


public class FormModel extends AbstractModel<UIForm> {

  /**
   *
   */
  private static final long serialVersionUID = 1L;

  private UIForm uiform;

  public FormModel(final UIForm _uiform) {
    this.uiform = _uiform;
  }
  public UIForm getObject() {

    return this.uiform;
  }

  public void setObject(final UIForm _uiform) {
    this.uiform = _uiform;
  }




}
